from django.urls import path
from django.contrib.auth.views import LogoutView
from .views import *

app_name = 'EspaceEtudiant'
urlpatterns = [
    path('', EtudiantLoginView.as_view(), name="login"),
    path('logout', LogoutView.as_view(next_page="EspaceEtudiant:login", template_name="EspaceEtudiant/login.html"), name="logout"),
    path('liste_etudiant_ue/', liste_etudiant_ue, name="liste_etudiant_ue"),
    path('detail_ue/<int:ue>/<int:an>/', detail_ue, name="detail_ue"),
    path('etudiant_change_password/', etudiant_profile_manage_password, name='etudiant_change_password'),
    path('etudiant_profile/', etudiant_profile_infos, name='etudiant_profile'),
    path('etudiant_edt/', etudiant_edt, name='etudiant_edt'),
    path('reclamation_home/', reclamation_home, name='reclamation_home'),
    path('reclamation_list/', reclamation_list, name='reclamation_list'),
    path('reclamation_detail/<int:id>/', reclamation_detail, name='reclamation_detail'),
    path('seance_etudiant/', seance_etudiant, name='seance_etudiant'),
    path('add_photo/', add_photo, name='add_photo'),
    path('demande_actes_liste/', demande_actes_liste, name='demande_actes_liste'),
    path('et_inscription_home/', et_inscription_home, name='et_inscription_home'),
    path('etudiant_profile_edit/', etudiant_profile_edit, name='etudiant_profile_edit'),
    path('sondage_list/', sondage_list, name='sondage_list'),

    path('download/<int:id>/', download, name='download'),
]